Bug 1276215 - [RFE] Live Import of libvirt VMs
[RFE] Live Import of libvirt VMs
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.0.1
x86_64 Linux
medium Severity high (vote)
: ---
: ---
Assigned To: nobody nobody
meital avital
: FutureFeature
Depends On: 1302427
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 02:23 EDT by Christopher Pereira
Modified: 2016-07-31 23:42 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tjelinek: ovirt‑4.0.0?
michal.skrivanek: planning_ack?
michal.skrivanek: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Christopher Pereira 2015-10-29 02:23:33 EDT
We need to import libvirt managed VMs into oVirt without restarting the VM.
Workarounds and external scripts are welcome.
Pausing and saving the VM state for later restoring inside oVirt is ok.
Comments and ideas to implement this feature are very appreciated.
Comment 1 Michal Skrivanek 2015-11-04 09:38:42 EST
what kind of import are you looking for?
we do have "external VM" concept which allows us to control some basic functionality (start, stop, migrate) but doesn't allow to edit properties, etc.

For "proper" import we would need to do a full conversion potentially changing some of the devices...and that would require a restart
Comment 2 Christopher Pereira 2015-11-06 23:07:36 EST
(In reply to Michal Skrivanek from comment #1)
> what kind of import are you looking for?

We have libvirt VMs running on oVirt hosts and want to be able to control them from Engine.

> we do have "external VM" concept which allows us to control some basic
> functionality (start, stop, migrate) but doesn't allow to edit properties,
> etc.

Sounds good. How can we get oVirt to detect those external VMs?
It seems this is not being done by default.
Comment 3 Christopher Pereira 2015-11-07 02:18:22 EST
BTW, external libvirtd VMs (not handled by oVirt) are shutting down when vdsmd is restarted and I guess/hope this can be avoided by adding the VMs as "external VMs" into oVirt.

I found the "externalVMList" patch [1] and was able list the external VMs via vdsClient, but I don't see any option or docs telling how to import them into Engine (the "Import Virtual Machine" dialog is only showing "VMWare", "Export Domain" and "OVA" sources).

Are this features available in 3.6?

[1] : https://gerrit.ovirt.org/#/c/33309/
Comment 4 Christopher Pereira 2015-12-23 13:35:24 EST
(In reply to Christopher Pereira from comment #3)
> BTW, external libvirtd VMs (not handled by oVirt) are shutting down when
> vdsmd is restarted and I guess/hope this can be avoided by adding the VMs as
> "external VMs" into oVirt.

Please ignore this last comment. I found and solved this particular problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1279248

Anyway, we have dozens of VMs in production which were originally created via oVirt, but are currently managed via libvirt (outside oVirt) because of different issues (all reported, some solved).

We would like to import them back to oVirt with minimum downtime.
Comment 5 Moran Goldboim 2016-03-21 06:21:52 EDT
postponing to future version, based on capacity and prioritization.
Comment 6 Christopher Pereira 2016-04-29 22:01:41 EDT
(In reply to Michal Skrivanek from comment #1)

> we do have "external VM" concept which allows us to control some basic
> functionality (start, stop, migrate) but doesn't allow to edit properties,
> etc.

Are libvirt VMs being detected as "external VM"?
Doesn't seem to work on 3.6 at least.
Comment 7 Shahar Havivi 2016-05-17 07:23:58 EDT
(In reply to Christopher Pereira from comment #6)
> (In reply to Michal Skrivanek from comment #1)
> 
> > we do have "external VM" concept which allows us to control some basic
> > functionality (start, stop, migrate) but doesn't allow to edit properties,
> > etc.
> 
> Are libvirt VMs being detected as "external VM"?
> Doesn't seem to work on 3.6 at least.

bz 1302427 merged upstream and it will be in 4.0
Comment 8 Red Hat Bugzilla Rules Engine 2016-05-17 07:24:51 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 9 Red Hat Bugzilla Rules Engine 2016-05-17 07:25:54 EDT
This request has been proposed for two releases. This is invalid flag usage. The ovirt-future release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.
Comment 11 Michal Skrivanek 2016-07-27 08:43:03 EDT
There was some initial confusion here, this is NOT bug 1302427, this one requests import of live running VMs which is out of scope of bug 1302427. Hence moving back to unassigned state

Note You need to log in before you can comment on or make changes to this bug.